Gentoo Archives: gentoo-commits

From: Hans de Graaff <graaff@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/haml/
Date: Sat, 23 May 2020 18:49:29
Message-Id: 1590259749.bc3e11e231d912d512c2afa501262e200ace234c.graaff@gentoo
commit:     bc3e11e231d912d512c2afa501262e200ace234c
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat May 23 18:19:05 2020 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat May 23 18:49:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bc3e11e2

dev-ruby/haml: avoid bundler dependency

Closes: https://bugs.gentoo.org/723836
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/haml/haml-5.1.2.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dev-ruby/haml/haml-5.1.2.ebuild b/dev-ruby/haml/haml-5.1.2.ebuild
index 8ae391d3b3d..077a1d33f39 100644
--- a/dev-ruby/haml/haml-5.1.2.ebuild
+++ b/dev-ruby/haml/haml-5.1.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2019 Gentoo Authors
+# Copyright 1999-2020 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -45,6 +45,7 @@ ruby_add_bdepend "
 all_ruby_prepare() {
 	sed -i -e 's/git ls-files -z/find . -print0/' ${RUBY_FAKEGEM_GEMSPEC} || die
 
+	sed -i -e '/bundler/ s:^:#: ; /Bundler/,/end/ s:^:#:' Rakefile || die
 	sed -i -e '/bundler/I s:^:#:' \
 		-e 's/gem "minitest"/gem "minitest", "~>5.0"/'\
 		-e '1igem "actionpack", "~>5.2"'\